apply plugin: 'com.android.application'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-android'

android {
    compileSdkVersion 28
    buildToolsVersion "29.0.2"

    defaultConfig {
        applicationId "com.dbs.dbsec"
        minSdkVersion 26
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        buildConfigField "String", "originalPackageName", "\"com.dbs.dbsec\"";
//        buildConfigField "String", "CONSENT_SERVER_URL", "\"http://wcollector.idatabank.com:8091/\""
//        buildConfigField "String", "CONSENT_SERVER_URL", "\"http://172.16.10.193:8080/\""
        buildConfigField "String", "CONSENT_SERVER_URL", "\"http://192.168.0.30:8080/\""
        buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"http://wcollector.idatabank.com:5228/\""
//        buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"http://211.118.215.111:8090/\""
        buildConfigField "String", "INST_CD", "\"031\""
        manifestPlaceholders = [appLabel: "전자동의서 데모"]
    }

    buildTypes {
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'

            ndk {
                abiFilters "armeabi-v7a", "armeabi" // includes ARM SO files only, so no x86 SO file
            }
        }
        release {
            buildConfigField "String", "originalPackageName", "\"com.dbs.dbsec\"";
            buildConfigField "String", "CONSENT_SERVER_URL", "\"http://wcollector.idatabank.com:8091/\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"http://wcollector.idatabank.com:5228/\""
//            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"http://211.118.215.111:8090/\""
            buildConfigField "String", "INST_CD", "\"031\""
            manifestPlaceholders = [appLabel: "전자동의서 데모"]

            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'

            ndk {
                abiFilters "armeabi-v7a", "armeabi" // includes ARM SO files only, so no x86 SO file
            }
        }
    }

}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    implementation 'com.github.ybq:Android-SpinKit:1.2.0'
    implementation 'gun0912.ted:tedpermission:2.0.0'
    implementation 'com.squareup.picasso:picasso:2.71828'
    implementation 'com.github.chrisbanes:PhotoView:2.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'androidx.viewpager:viewpager:1.0.0'
    implementation "androidx.core:core-ktx:+"
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
}
repositories {
    mavenCentral()
}
